Server DNC 1.0 A TCP chat server implementation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
serveur.Log.Log Class Reference

Log Manager. More...

Inheritance diagram for serveur.Log.Log:

## Public Member Functions
def | __init__ (self, directory)
| Define 3 differents utils : activity.log -> all activity warning.log -> only warning error.log -> error Write all message on terminal too. More...
def | printL (self, pMsg, pLvl)
| Add color and write in log with an define level. More...

## Data Fields
| logger

## Detailed Description

Log Manager.

## Constructor & Destructor Documentation

def serveur.Log.Log.__init__ | ( |  | self,
|  |  | directory
| ) |  |

Define 3 differents utils : activity.log -> all activity warning.log -> only warning error.log -> error Write all message on terminal too.

## Member Function Documentation

def serveur.Log.Log.printL | ( |  | self,
|  |  | pMsg,
|  |  | pLvl
| ) |  |

Add color and write in log with an define level.

Parameters

  pMsg | message to write in log
  pLvl | level of log message

## Field Documentation

serveur.Log.Log.logger

The documentation for this class was generated from the following file:

- Log.py